ApplicationConfigurationControllerGetEffectiveSettingValues Method |
GET /ApplicationConfiguration/EffectiveValues/
Get the effective setting values.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("EffectiveValues")]
public IActionResult GetEffectiveSettingValues(
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("EffectiveValues")>
Public Function GetEffectiveSettingValues (
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"EffectiveValues")]
IActionResult^ GetEffectiveSettingValues(
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("EffectiveValues")>]
member GetEffectiveSettingValues :
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
An array of
AppSettingValueData objects, or a status code indicating the problem.
See Also